verbose on

# Get install dir.
GetRegistryValue installdir=HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\InstallDir

# Check version.
versionCheck %installdir%\Configuration\version=4.7*,4.9*,5.0*,5.1*


# Stop service.
# (The service may not be running, so we don't quit if we fail to stop it.)
die off
system net stop openit

# Wait for a while, to ensure the service will stop.
sleep 5000

# Copy binaries.
system copy "bin\OpeniTResources.exe" "%installdir%\bin\"
system copy "bin\ocmapping.exe" "%installdir%\bin\"

# Start service again.
system net start openit

# Copy readme.
system mkdir "%installdir%\patches"
system copy "readme.txt" "%installdir%\patches\1022.readme.txt"
